Debian Bug report logs - #711373
ITP: ruby-cookiejar -- Allows for parsing and returning cookies in Ruby HTTP client code

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Thu, 6 Jun 2013 15:27:02 UTC

Owned by: Praveen Arimbrathodiyil <praveen@debian.org>

Severity: wishlist

Fixed in version ruby-cookiejar/0.3.1-1

Done: Jonas Genannt <jonas.genannt@capi2name.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#711373; Package wnpp. (Thu, 06 Jun 2013 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Thu, 06 Jun 2013 15:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: ruby-cookiejar -- Allows for parsing and returning cookies in Ruby HTTP client code
Date: Thu, 6 Jun 2013 20:52:43 +0530
package: wnpp
severity: wishlist
owner: Praveen Arimbrathodiyil <praveen@debian.org>

URL: http://rubygems.org/gems/cookiejar
Version: 0.3.0
Upstream Author: David Waite
License: Ruby's license or GPL

--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 07 Jun 2013 08:06:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#711373; Package wnpp. (Mon, 17 Feb 2014 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Mon, 17 Feb 2014 20:12:04 GMT) Full text and rfc822 format available.

Message #12 received at 711373@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: debian-ruby@lists.debian.org
Cc: 711373@bugs.debian.org
Subject: RFS: ruby-cookiejar
Date: Mon, 17 Feb 2014 21:09:49 +0100
Hello,

another update for gitlab depends, ruby-cookiejar was sitting in NEW for about 9 months.
upstream did not included license/copyright information in tarball.

I talk to upstream and he added license information and switch to 2-clause bsd and
release a new version of cookiejar.

 ruby-cookiejar (0.3.1-1) unstable; urgency=low
 .
   * Team upload.
   * Imported Upstream version 0.3.1 (Closes: #711373)
   * d/docs: added README.markdown
   * d/control:
     - bumped standards version to 3.9.5 (no changes needed)
     - updated homepage url
   * removed patch fix-test-failures, included by upstream
   * removed patch remove-rubygems, no longer needed
   * d/copyright: updated to new upstream version (switched to 2-BSD)
   * d/ruby-tests.rake: upstream changed directory and names of tests


Could any dd please upload it to NEW again?

Thanks,
	Jonas



Reply sent to Jonas Genannt <jonas.genannt@capi2name.de>:
You have taken responsibility. (Fri, 21 Feb 2014 12:03:15 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Fri, 21 Feb 2014 12:03:15 GMT) Full text and rfc822 format available.

Message #17 received at 711373-close@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 711373-close@bugs.debian.org
Subject: Bug#711373: fixed in ruby-cookiejar 0.3.1-1
Date: Fri, 21 Feb 2014 12:00:07 +0000
Source: ruby-cookiejar
Source-Version: 0.3.1-1

We believe that the bug you reported is fixed in the latest version of
ruby-cookiejar, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711373@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Genannt <jonas.genannt@capi2name.de> (supplier of updated ruby-cookiejar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Feb 2014 21:03:05 +0100
Source: ruby-cookiejar
Binary: ruby-cookiejar
Architecture: source all
Version: 0.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Genannt <jonas.genannt@capi2name.de>
Description: 
 ruby-cookiejar - client-side HTTP cookie library
Closes: 711373
Changes: 
 ruby-cookiejar (0.3.1-1) unstable; urgency=low
 .
   * Team upload.
   * Imported Upstream version 0.3.1 (Closes: #711373)
   * d/docs: added README.markdown
   * d/control:
     - bumped standards version to 3.9.5 (no changes needed)
     - updated homepage url
   * removed patch fix-test-failures, included by upstream
   * removed patch remove-rubygems, no longer needed
   * d/copyright: updated to new upstream version (switched to 2-BSD)
   * d/ruby-tests.rake: upstream changed directory and names of tests
Checksums-Sha1: 
 7a0b52aa3af7c1e75a4e275f5d0c7dee176a2acc 2084 ruby-cookiejar_0.3.1-1.dsc
 200c0b752577c63ee2c19b0c8ee2cf6eaf6fa42c 16761 ruby-cookiejar_0.3.1.orig.tar.gz
 0414653d1c5339af9279ccd954439fa4574801b7 3016 ruby-cookiejar_0.3.1-1.debian.tar.xz
 9539b4c620e58310aabfdd123147438ba92367ce 13066 ruby-cookiejar_0.3.1-1_all.deb
Checksums-Sha256: 
 8012de241931b2fcd382709f124599aa46605aafc0ca909649044ff1729e8634 2084 ruby-cookiejar_0.3.1-1.dsc
 7499d445684ead54f574c5c3c4eacc13e4d21612dc718f005493c9e25f5b5c43 16761 ruby-cookiejar_0.3.1.orig.tar.gz
 14111746d1d129eba86a5ce17d99d2311a9ae98a8a0ef2b8438cb358659b9be1 3016 ruby-cookiejar_0.3.1-1.debian.tar.xz
 94ce869d2003259ba404c41df88337ff2fd9d3e1d1750bb95d80a05f6791aa63 13066 ruby-cookiejar_0.3.1-1_all.deb
Files: 
 81772ad149f5186b0f22ab1c49fc4ea5 2084 ruby optional ruby-cookiejar_0.3.1-1.dsc
 3901fedd0f7f7ca03a4eebc52a52cc86 16761 ruby optional ruby-cookiejar_0.3.1.orig.tar.gz
 a223024146c337eb87e0b0f4514458af 3016 ruby optional ruby-cookiejar_0.3.1-1.debian.tar.xz
 3e214f249ea16bd3954a05dd10072375 13066 ruby optional ruby-cookiejar_0.3.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTAoCMAAoJEKkHZFuPn48JqzQQAJCjxuwFWuMXuT+jgoDxjVaV
DmnZO2Je9UO2zOihRuqAIw3YgclXHq1QJM5pcjq71dMOov4fZiXPoX5/ABSR1y/M
7iXr8hiUcR2XuzeBhsnvWwBpGPivqRexANfF6rwauGiRVfzMSekq/yymvxTMxnWS
/slZxCIOrSWkOyHE+5Kxe90I6q5MENr6svxNoJg3SI32Gn3sFe2B7UY/PJSKVTOS
MeRaVY83DrTN5FXtOnL7dn+NHG2AYcNm6etaHJ9dpa9B0FsU4oqKvLeclCB5NIpE
WJhMhELUzgGjzAWzAjeW9mQI4P770vlpqJeahUa4KIgwshDP5rAfgT+4kyW+WEW8
/Ib/4fKthqa8m06i1ubEHodhpiZeLqvAaEsSL1cW9PzFy+FB8PRYDuao28b/2dV+
qmKC5wnBx3xswkjvQ7Xauke77nrLLHA4quUGpVAxG+l528ci/EutQ7Rq4ot3fC9J
T8Va3rgLc0c+CTvqz4TS+6ZRO8mGObzqicnBwjaOXTe2w2oy5e4zXCMmWA+HKKYa
4BO2ESmOGHQ7ATFRH4eN34VP0QnibQxjypjz1O6zXvP8JibOhsuQllWMWW8RgQtO
DK1/gvt/oMSv1+/heaAs4NCOjoeZMCwvWxV6EDmxtd0OHjoMOPuG40kmhRKbjAEl
JpcxxkN4OXK9R3yg/+Sf
=cOlb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Mar 2014 07:32:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:49:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.